#
# Conditional build:
%bcond_without	static_libs	# static libraries

%define	libver	0.4
Summary:	The Oil Runtime Compiler
Summary(pl.UTF-8):	Oil Runtime Compiler - kompilator zoptymalizowanych pętli wewnętrznych
Name:		orc
Version:	0.4.38
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz
# Source0-md5:	309ed9f12724e861bed05e8e84e22968
URL:		https://gstreamer.freedesktop.org/modules/orc.html
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	meson >= 0.55.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.749
BuildRequires:	tar >= 1:1.22
BuildRequires:	which
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data. The "language" is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%description -l pl.UTF-8
Orc to biblioteka i zestaw narzędzi do kompilowania i wykonywania
bardzo prostych programów operujących na tablicach danych. "Język" to
ogólny asembler reprezentujący wiele możliwości dostępnych w
architekturach SIMD, w tym ograniczone dodawanie i odejmowanie oraz
wiele operacji arytmetycznych.

%package devel
Summary:	Header files for orc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki orc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for orc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki orc.

%package static
Summary:	Static orc library
Summary(pl.UTF-8):	Statyczna biblioteka orc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static orc library.

%description static -l pl.UTF-8
Statyczna biblioteka orc.

%package apidocs
Summary:	API documentation for orc library
Summary(pl.UTF-8):	Dokumentacja API biblioteki orc
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for orc library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki orc.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README RELEASE TODO
%attr(755,root,root) %{_bindir}/orc-bugreport
%attr(755,root,root) %{_bindir}/orcc
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-%{libver}.so.0
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-test-%{libver}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so
%{_includedir}/orc-%{libver}
%{_pkgconfigdir}/orc-%{libver}.pc
%{_pkgconfigdir}/orc-test-%{libver}.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liborc-%{libver}.a
%{_libdir}/liborc-test-%{libver}.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/orc
%changelog
* Thu Feb 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/orc.git;a=log;h=master

* Thu Feb 29 2024 Jakub Bogusz <qboosh@pld-linux.org> f47cfaf
- updated to 0.4.38; orc.m4 is gone

* Wed Feb 28 2024 Jan Palus <atler@pld-linux.org> c639631
- BR: automake for %_aclocaldir

* Wed Feb 28 2024 Jan Palus <atler@pld-linux.org> cdc954c
- pass option to meson to skip static libs creation when building without static libs

* Sun Feb 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 18eae79
- updated to 0.4.37

* Fri Jul 21 2023 Jakub Bogusz <qboosh@pld-linux.org> f1bba03
- updated to 0.4.34

* Sat Dec 31 2022 Jakub Bogusz <qboosh@pld-linux.org> 60b55bb
- updated to 0.4.33

* Mon Sep 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 83a3c82
- updated to 0.4.32

* Tue Nov 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 34f329f
- updated to 0.4.31

* Fri Sep 13 2019 Jakub Bogusz <qboosh@pld-linux.org> 943ea69
- updated to 0.4.30, separated -apidocs; uses meson now

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 1a7ed4d
- updated to 0.4.29

* Thu Nov 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 6ca97f1
- updated to 0.4.28

* Wed Jul 26 2017 Jakub Bogusz <qboosh@pld-linux.org> ecdcabd
- updated to 0.4.27

* Thu Sep 01 2016 Jakub Bogusz <qboosh@pld-linux.org> e9896a6
- updated to 0.4.26

* Mon Mar 07 2016 Jakub Bogusz <qboosh@pld-linux.org> 0f0a001
- updated to 0.4.25

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 46bb442
- updated to 0.4.24

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4b24e92
- x32 rebuild
- release 2 (by relup.sh)

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 11617e7
- updated to 0.4.23

* Sat Aug 30 2014 Jakub Bogusz <qboosh@pld-linux.org> ce94288
- updated to 0.4.22

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 533270f
- updated to 0.4.21

* Sun Apr 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 7de8e61
- new Source0 URL (development continued in gstreamer project), updated to 0.4.19

